"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _crypto = _interopRequireDefault(require("crypto"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function fileHash(fp, absPath, options) {
  if (!options.hash) {
    return fp;
  } // eslint-disable-next-line no-sync


  const content = _fs.default.readFileSync(absPath);

  const hash = _crypto.default.createHash('sha1').update(content).digest('hex');

  if (options.hash === 'suffix') {
    return `${fp}?${hash.slice(0, 8)}`;
  }

  const splittedFP = fp.split('/');
  const fileName = splittedFP.pop();
  const splittedName = fileName.split('.');
  const ext = splittedName.pop();
  splittedFP.push(`${hash}.${ext}`);
  return splittedFP.join('/');
}

var _default = fileHash;
exports.default = _default;