"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fileHash = _interopRequireDefault(require("./steps/fileHash"));

var _filePath = _interopRequireDefault(require("./steps/filePath"));

var _path = _interopRequireDefault(require("path"));

var _replaceNode = _interopRequireDefault(require("./steps/replaceNode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transform(scope, options) {
  const ext = _path.default.extname(scope.value);

  if (!options.extensions || options.extensions.indexOf(ext) < 0) {
    return;
  }

  const dir = _path.default.dirname(_path.default.resolve(scope.filename));

  const absPath = _path.default.resolve(dir, scope.value);

  let fp = (0, _filePath.default)(absPath, options);
  fp = (0, _fileHash.default)(fp, absPath, options);
  (0, _replaceNode.default)(scope, `${options.baseUri}${fp}`);
}

var _default = transform;
exports.default = _default;